Subject: Re: [RFC PATCH] object-file API: add a format_loose_header() function

From: Junio C Hamano <[email-masked]>
Date: Mon, 20 Dec 2021 18:11:08 -0800

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> I've got some patches locally to convert e.g. write_object_file() to use
> the enum, and it removes the need for some callers to convert enum to
> char *, only to have other things convert it back.
>
> So I think for any new APIs it makes sense to work towards sidelining
> the hash-object.c --literally caller.

Your logic is backwards to argue "because I did something this way,
it makes sense to do it this way"?